{% load mptt_tags %}

<div class="treeui">
<ul class="">
	<li>
		<a href="{% url "my_org_overview" %}">
			<span class="i i-organization"></span>
			{{ current_organization.name }}
		</a>
		<ul>
    {% recursetree current_organization.units %}
        <li>
            <a href="{% url "my_unit_overview" node.pk %}">
            	<span class="i i-organization-unit"></span>
            	{{ node.name }}</a>
            
            {% comment %}
        	<span class="badge badge-info">
        		{{ node.products.count }} products
        	</span>
        	{% endcomment %}
            
            {% comment %}
            {% if node.products.count %}
            	<ul class="products">
            		{% for product in node.products.all %}
            			<li>
            				<a href="{% url product_detail product.pk %}">
            					<span class="i i-product"></span>
            					{{ product.name }}
            				</a>
            			</li>
            		{% endfor %}
            	</ul>
            {% endif %}
            {% endcomment %}
            {% if not node.is_leaf_node %}
                <ul class="children">
                    {{ children }}
                </ul>
            {% endif %}
        </li>
    {% endrecursetree %}
    	</ul>
   </li>
</ul>	
</div>

<script>
	$(document).ready(function() {
		$(".treeui")
		.jstree({
        	plugins : [ "html_data", "themes" ],
        	core: {
        		animation: false
        	},
        	themes: {
        		icons: false,
        		theme: "classic"
        	},
		})
		.on('loaded.jstree', function(event, data) {
		    	$(".treeui").jstree('open_all');
		}); 		
	});       	
</script>	
